'From Smalltalk/X, Version:2.10.1 on 9-may-1994 at 12:37:26'!
"
 the model-view way of using labels
"
!

Model subclass:#LabelAndModelDemo1
	 instanceVariableNames:'topView value'
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Examples-MVC-Support'
!

!LabelAndModelDemo1 methodsFor:'accessing '!

valueString
    ^ value printString
! !

!LabelAndModelDemo1 methodsFor:'button actions'!

button1Pressed
    value := 1.
    self changed:#valueString
!

button2Pressed
    value := 2.
    self changed:#valueString
! !

!LabelAndModelDemo1 methodsFor:'initialization'!

open
    |topView p b1 b2 l|

    topView := StandardSystemView new extent:200@100.
    p := PanelView origin:0.0@0.0 corner:1.0@1.0 in:topView.

    b1 := Button label:'one' in:p.
    b2 := Button label:'two' in:p.
    l := Label in:p.
    l label:'0'.

    "tell the label to display the value returned by valueString"
    l model:self; aspect:#valueString.

    "tell the buttons to tell me when pressed"
    b1 model:self; change:#button1Pressed.
    b2 model:self; change:#button2Pressed.

    topView open

    "LabelAndModelDemo1 new open"
! !


