"
 the model-view way of using a codeView
"
!

Model subclass:#CodeViewDemoModel3
	 instanceVariableNames:'text'
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Examples-MVC-Support'
!

!CodeViewDemoModel3 class methodsFor:'instance creation'!

new
    ^ self basicNew initialize
! !

!CodeViewDemoModel3 methodsFor:'initialization'!

initialize
    text := '
hello world
this is some
text in a codeView
'
! !

!CodeViewDemoModel3 methodsFor:'user actions'!

text
    "supposed to return the text"

    ^ text
! 

getMenu
    "supposed to return a popupmenu"

    ^ PopUpMenu
	labels:#('m1' 'm2' 'm3')
	selectors:#(m1 m2 m3)
!

accept:newText from:someOne
     Transcript showCr:'text changed'.
     text := newText
!

changeText
     text := text , '\more' withCRs.
     self changed:#text
! !

!CodeViewDemoModel3 methodsFor:'initialization'!

open
    |top sellist|

    top:= StandardSystemView new; extent:100@100.

    sellist := CodeView
	on: self
	aspect: #text 
	change: #acceptText:from:
	menu: #getMenu
	initialSelection:nil.


    sellist origin:0.0@0.0 corner:1.0@1.0.
    top addSubView:sellist.

    top open.

    "demonstrate that the CodeView follows my changes ..."
    [
	4 to:10 do:[:i |
	    (Delay forSeconds:10) wait.
	    self changeText
	]
    ] forkAt:5.

    "CodeViewDemoModel3 new open"
! !
