'From Smalltalk/X, Version:2.10.1 on 9-may-1994 at 12:37:26'!
"
 the model-view way of using a selectionInListView
"
!

Model subclass:#SelectionInListDemoModel1b
	 instanceVariableNames:'currentList currentSelection'
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Examples-MVC-Support'
!

!SelectionInListDemoModel1b methodsFor:'user actions'!

getList
    "supposed to return a list"

    ^ currentList 
! 

getMenu
    "supposed to return a popupmenu"

    currentSelection == 1 ifTrue:[
	currentList := #('one' 'two' 'three').
	self changed:#demoAspect.
	^ PopUpMenu
	    labels:#('a1' 'a2' 'a3')
	    selectors:#(m1 m2 m3)
    ].

    currentList := #('eins' 'zwei' 'drei').
    self changed:#demoAspect.
    ^ PopUpMenu
	labels:#('m1' 'm2' 'm3')
	selectors:#(m1 m2 m3)
!

listIndex:aNumber
     currentSelection := aNumber.
     Transcript showCr:'selection changed to ', aNumber printString
!

initialIndex
    ^ 1
! !

!SelectionInListDemoModel1b methodsFor:'initialization'!

open
    |top list|

    currentList := #('one' 'two' 'three').

    top:= StandardSystemView new; extent:100@100.

    list := SelectionInListView
	on: self
	printItems: true
	oneItem: false
	aspect: #demoAspect 
	change: #listIndex:
	list: #getList
	menu: #getMenu
	initialSelection: #initialIndex
	useIndex: true.


    list origin:0.0@0.0 corner:1.0@1.0.
    top addSubView:list.

    top open.

    "SelectionInListDemoModel1b new open"
! !

