'From Smalltalk/X, Version:2.10.1 on 9-may-1994 at 12:37:26'!
"
 the model-view way of using a selectionInListView
"
!

Model subclass:#SelectionInListDemoModel1c
	 instanceVariableNames:'list1 list2'
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Examples-MVC-Support'
!

!SelectionInListDemoModel1c methodsFor:'user actions'!

getList1
    "supposed to return a list"

    ^ list1 
! 

getList2
    "supposed to return a list"

    ^ list2 
! 

getMenu1
    "supposed to return a popupmenu"

    ^ PopUpMenu
	labels:#('a1' 'a2' 'a3')
	selectors:#(m1 m2 m3)
    ].
!

getMenu2
    ^ PopUpMenu
	labels:#('m1' 'm2' 'm3')
	selectors:#(m1 m2 m3)
!

listIndex1:aNumber
     Transcript showCr:'selection1 changed to ', aNumber printString.
     list2 := list2 copyWith:'foo'.
     self changed:#demoAspect2
!

listIndex2:aNumber
     Transcript showCr:'selection2 changed to ', aNumber printString.
     list1 := list1 copyWith:'foo'.
     self changed:#demoAspect1
!

initialIndex
    ^ 1
! !

!SelectionInListDemoModel1c methodsFor:'initialization'!

open
    |top list|

    list1 := #('one' 'two' 'three').
    list2 := #('eins' 'zwei' 'drei').

    top:= StandardSystemView new; extent:100@100.

    list := SelectionInListView
	on: self
	printItems: true
	oneItem: false
	aspect: #demoAspect1 
	change: #listIndex1:
	list: #getList1
	menu: #getMenu1
	initialSelection: #initialIndex
	useIndex: true.


    list origin:0.0@0.0 corner:0.5@1.0.
    top addSubView:list.


    list := SelectionInListView
	on: self
	printItems: true
	oneItem: false
	aspect: #demoAspect2 
	change: #listIndex2:
	list: #getList2
	menu: #getMenu2
	initialSelection: #initialIndex
	useIndex: true.

    list origin:0.5@0.0 corner:1.0@1.0.
    top addSubView:list.


    top open.

    "SelectionInListDemoModel1c new open"
! !

