'From Smalltalk/X, Version:2.10.1 on 9-may-1994 at 12:37:26'!
"
 the model-view way of using a selectionInListView
"
!

Model subclass:#SelectionInListDemoModel2
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Examples-MVC-Support'
!

!SelectionInListDemoModel2 methodsFor:'user actions'!

getList
    "supposed to return a list"

    ^ #('one' 'two' 'three')
! 

getMenu
    "supposed to return a popupmenu"

    ^ PopUpMenu
	labels:#('m1' 'm2' 'm3')
	selectors:#(m1 m2 m3)
!

listIndex:aNumber
     Transcript showCr:'selection changed to ', aNumber printString
!

initialIndex
    ^ 1
! !

!SelectionInListDemoModel2 methodsFor:'initialization'!

open
    |top list|

    top:= StandardSystemView new; extent:100@100.

    list := SelectionInListView
	on: self
	printItems: true
	oneItem: false
	aspect: #demoAspect 
	change: #listIndex:
	list: #getList
	menu: #getMenu
	initialSelection: #initialIndex
	useIndex:false.


    list origin:0.0@0.0 corner:1.0@1.0.
    top addSubView:list.

    top open.

    "SelectionInListDemoModel2 new open"
! !
