'From Smalltalk/X, Version:2.10.1 on 9-may-1994 at 12:37:26'!
"
 the model-view way of using selectionInListViews
"
!

Model subclass:#SimpleDemoModel2
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Examples-MVC-Support'
!

!SimpleDemoModel2 methodsFor:'user actions'!

selectionChanged:newSelection
    Transcript showCr:'selection changed to:', newSelection displayString
!

button1Pressed
    Transcript showCr:'button1 was pressed'
!

button2Pressed
    Transcript showCr:'button2 was pressed'
! !

!SimpleDemoModel2 methodsFor:'initialization'!

open
    |top p b1 b2 s l|

    top:= StandardSystemView new; extent:100@100.
    p := PanelView origin:0.0@0.0 corner:1.0@0.5 in:top.
    b1 := Button label:'one' in:p.
    b2 := Button label:'two' in:p.

    "tell the buttons to tell me when pressed"
    b1 model:self; change:#button1Pressed.
    b2 model:self; change:#button2Pressed.

    s := ScrollableView for:SelectionInListView in:top.
    s origin:0.0@0.5 corner:1.0@1.0.
    l := s scrolledView.
    "tell the selectionInListView to tell me when the selection changes"
    l model:self; change:#selectionChanged:.
    l list:#(1 2 3 4).

    top open

    "SimpleDemoModel2 new open"
! !
