"
 this example shows, the difference between here- and self-sends
 Read the ST/X language documentation on more background info.
"

Object subclass:#TopClass
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Examples-HereSend'
!

TopClass comment:'
have a look at the methods
	TopClass>>hereFooInTopClass

	and

	TopClass>>testSends
'!

!TopClass class methodsFor:'tests'!

testSends
    'selfFooInSubClass send to SUB-inst : ' print.
    SubClass new selfFooInSubClass.

    'selfFooInTopClass send to SUB-inst : ' print.
    SubClass new selfFooInTopClass.

    'selfFooInTopClass send to TOP-inst : ' print.
    TopClass new selfFooInTopClass.

    'hereFooInSubClass send to SUB-inst : ' print.
    SubClass new hereFooInSubClass.
    'hereFooInTopClass send to SUB-inst : ' print.
    SubClass new hereFooInTopClass.

    'hereFooInTopClass send to TOP-inst : ' print.
    TopClass new hereFooInTopClass.

    'superFooInSubClass send to SUB-inst : ' print.
    SubClass new superFooInSubClass.

    "TopClass testSends"
! !

!TopClass methodsFor:'sends'!

hereFooInTopClass
   here foo

   "
    will reach my local foo - regardless of the instance
   "
   "
    TopClass new hereFooInTopClass
    SubClass new hereFooInTopClass
   "

   "
    in contrast to self-sends:
   "
   "
    TopClass new selfFooInTopClass
    SubClass new selfFooInTopClass
   "

!

selfFooInTopClass
   self foo

   "
    will reach my foo of isntances class
   "
   "
    TopClass new selfFooInTopClass
    SubClass new selfFooInTopClass
   "

   "
    in contrast to here-sends:
   "
   "
    TopClass new hereFooInTopClass
    SubClass new hereFooInTopClass
   "

!

superFooInTopClass
   super foo
! !

!TopClass methodsFor:'methods'!

foo
   'here is TOP foo' printNL.
! !

TopClass subclass:#SubClass
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Examples-HereSend'
!

!SubClass methodsFor:'methods'!

foo
   'here is SUB foo' printNL.


! !

!SubClass methodsFor:'sends'!

hereFooInSubClass
   here foo

!

superFooInSubClass
   super foo
!

selfFooInSubClass
   self foo
! !

