StandardSystemView subclass:#TwoByteStringDemo2
       instanceVariableNames:'l'
       classVariableNames:''
       poolDictionaries:''
       category:'Examples-16bitStrings'
!

TwoByteStringDemo2 comment:'
 demonstrates use of 16-bit strings in labels 

 start with:
     TwoByteStringDemo2 start

 If there is no k14 font on your machine, replace k14
 by some other 16bt font (12x24kana, kana14, ...)

 %W% %E%
 written feb 94 by claus
'!

!TwoByteStringDemo2 class methodsFor:'startup'!

start
    |aDemo|


    aDemo := self
		label:'16bit string label'
		icon:(Form fromFile:'Demo.xbm' resolution:100)
		minExtent:(50 @ 50)
		maxExtent:(1000 @ 1000).
    aDemo extent:(300 @ 100).
    aDemo open.
    ^ aDemo

    "
     TwoByteStringDemo2 start
    "
! !

!TwoByteStringDemo2 methodsFor:'defaults'!

fontToUse
    ^ 'k14'
! !

!TwoByteStringDemo2 methodsFor:'initialization'!

initialize
    |s p f nm|

    super initialize.

    p := HorizontalPanelView origin:(0.0 @ 0.0) corner:(1.0 @ 1.0) in:self.

    s := TwoByteString new:4.
    s at:1 put:(Character value:16r2154);
      at:2 put:(Character value:16r2541);
      at:3 put:(Character value:16r3144);
      at:4 put:(Character value:16r5055).
    l := Label in:p.
    l label:s.

    nm := self fontToUse.
    (device fontFamilies includes:nm) ifFalse:[
	self warn:'no ' , nm , '  font available - required for this demo'.
    ].
    f := (Font family:nm face:nil style:nil size:nil).
    l font:f.
    l level:-1.
! !
