StandardSystemView subclass:#HelloView
       instanceVariableNames:''
       classVariableNames:''
       poolDictionaries:''
       category:'Examples-Views-Tutorial'
!

HelloView comment:'
 hello world - made easy

 start with:
     HelloView start

 %W% %E%
 written spring 91 by claus
'!

!HelloView class methodsFor:'startup'!

start
    |aDemo|

    aDemo := self 
		label:'Hello World'
		icon:(Image fromFile:'bitmaps/hello_world.icon')
		minExtent:(50 @ 50)
		maxExtent:(1000 @ 1000).
    aDemo extent:(300 @ 200).
    aDemo open.
    ^ aDemo

    "HelloView start"
! !

!HelloView methodsFor:'events'!

redraw
    |x y|

    x := (width - (font widthOf:'Hello World')) // 2.
    y := (height - font height) // 2.
    self displayString:'Hello World' x:x y:y
! !
