View subclass:#ViewDemonstration 
       instanceVariableNames:''
       classVariableNames:''
       poolDictionaries:''
       category:'Examples-Views-Tutorial'
!

ViewDemonstration comment:'
  this example demonstrates messages sent to views.

  Evaluate the following expression, and watch the output in
  the xterm for what is going on ...

  start with:
     ViewDemonstration new open

'!

!ViewDemonstration methodsFor:'private'!

showWhere
    (thisContext sender selector printStringPaddedTo:15) print.
    ' (sender: ' print. thisContext sender sender print.
    ' process: ' print. Processor activeProcess nameOrId print.
			'(' print.
			Processor activeProcess id print.
			')' printNL.
! !

!ViewDemonstration methodsFor:'messages'!

initialize
    self showWhere.
    super initialize
!

initStyle
    self showWhere.
    super initStyle
!

initEvents
    self showWhere.
    super initEvents
!

create
    self showWhere.
    super create
!

realize 
    self showWhere.
    super realize. 
    self enableEvent:#visibilityChange.
!

unrealize 
    self showWhere.
    super unrealize 
!

terminate 
    self showWhere.
    super terminate 
!

destroy 
    self showWhere.
    super destroy 
! !

!ViewDemonstration methodsFor:'event messages'!

configureX:x y:y width:newWidth height:newHeight
    self showWhere.
    super configureX:x y:y width:newWidth height:newHeight 
!

exposeX:x y:y width:w height:h
    self showWhere.
    super exposeX:x y:y width:w height:h
!

visibilityChange:how
    self showWhere.
    super visibilityChange:how 
!

sizeChanged:how 
    self showWhere.
    super sizeChanged:how 
!

mapped 
    self showWhere.
    super mapped 
!

unmapped 
    self showWhere.
    super unmapped 
!

destroyed 
    self showWhere.
    super destroyed 
! !




