StandardSystemView subclass:#PanelExample3
	 instanceVariableNames:'listView textView editTextView'
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Examples-Views-Tutorial'
!

!PanelExample3 methodsFor:'initialization'!

initialize
    |frame topFrame v1 v2 v3|

    super initialize.

    frame := VariableVerticalPanel 
		 origin:0.0 @ 0.0
		 corner:1.0 @ 1.0
		 in:self.

    v1 := ScrollableView for:SelectionInListView in:frame.
    v1 origin:0.0 @ 0.0
       corner:1.0 @ 0.5.
    v1 list:(FileDirectory directoryNamed:'/etc') contents.
    v1 action:[:selNr |
	    |fullName stream text|
	    fullName := '/etc/' , v1 selectionValue.
	    stream := fullName asFilename readStream.
	    stream notNil ifTrue:[
		text := stream contents.
		v2 contents:text.
		v3 contents:text
	    ]
    ].

    v2 := TextView 
	     origin:0.0 @ 0.5 
	     corner:1.0 @ 0.8 
	     in:frame.
    v3 := ScrollableView 
	     for:EditTextView 
	     in:frame.
    v3 origin:0.0 @ 0.8 
       corner:1.0 @ 1.0.

    "PanelExample3 new open"
! !
