StandardSystemView subclass:#PopUpMenuDemo1
       instanceVariableNames:''
       classVariableNames:''
       poolDictionaries:''
       category:'Examples-Views-Tutorial'
!

PopUpMenuDemo1 comment:'
 how to define simple menus 

 start with:
	PopUpMenuDemo1 start

 %W% %E%
 written spring 91 by claus
'!

!PopUpMenuDemo1 class methodsFor:'startup'!

start
    |aDemo|

    aDemo := self
		label:'PopUpMenu Demo'
		icon:(Form fromFile:'Demo.xbm' resolution:100)
		minExtent:(50 @ 50)
		maxExtent:(1000 @ 1000).
    aDemo extent:(300 @ 100).
    aDemo open.
    ^ aDemo

    "PopUpMenuDemo1 start"
! !

!PopUpMenuDemo1 methodsFor:'initialization'!

initialize
    |myLabel myButton|

    super initialize.
    myLabel := Label origin:(0.0 @ 0.0) extent:(1.0 @ 1.0) in:self.
    myLabel label:'press middle button for menu'.
!

initializeMiddleButtonMenu
    |aMenu|

    aMenu := PopUpMenu
		labels:#(
			 'one'
			 'two'
			 'three'
			 '-'
			 'quit'
			)
	     selectors:#(
			 oneSelected
			 twoSelected
			 threeSelected
			 nil
			 finish
			)
	      receiver:self.

    self middleButtonMenu:aMenu
! !

!PopUpMenuDemo1 methodsFor:'user interaction'!

oneSelected
    Transcript showCr:'function 1'
!

twoSelected
    Transcript showCr:'function 2'
!

threeSelected
    Transcript showCr:'function 3'
!

finish
    self destroy
! !
