"
 'anonymous classes' - demonstration
 -----------------------------------

 these examples show that classes can also be anonymous, for
 special applications this may make sense.

 (i.e. you CAN create classes on-the-fly without using the Browser).

 evaluate the expressions below ... (step by step, and read the code)
"!

"create an anonymous class ...

   |cls|

   cls := Behavior new.
   cls inspect

"create an anonymous class, an instance of it and inspect it ..."

   |cls inst|

   "create the class ..."
   cls := Behavior new.

   "create an instance"
   inst := cls new.
   inst inspect

"create an anonymous class, an instance of it, and learn it how
 to foo ..."

   |cls inst|

   "create the class ..."
   cls := Behavior new.

   "create an instance"
   inst := cls new.

   "now, tell it how to foo .."

   Compiler compile:'foo ''hello, here is foo'' printNL'
	   forClass:cls.

   Compiler compile:'bar Transcript showCr:''hello, here is bar'''
	   forClass:cls.

   inst foo.
   inst bar




