'From Smalltalk/X, Version:2.10.1 on 9-may-1994 at 12:37:26'!
"
 the model-view way of using a selectionInListView
"
!

Model subclass:#SelectionInListDemoModel3
	 instanceVariableNames:'list'
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Examples-MVC-Support'
!

!SelectionInListDemoModel3 class methodsFor:'instance creation'!

new
    ^ self basicNew initialize
! !

!SelectionInListDemoModel3 methodsFor:'initialization'!

initialize
    list := #(1 2 3) asOrderedCollection
! !

!SelectionInListDemoModel3 methodsFor:'user actions'!

getList
    "supposed to return a list"

    ^ list
! 

getMenu
    "supposed to return a popupmenu"

    ^ PopUpMenu
	labels:#('m1' 'm2' 'm3')
	selectors:#(m1 m2 m3)
!

listIndex:aNumber
     Transcript showCr:'selection changed to ', aNumber printString
!

initialIndex
    ^ 1
!

addElement:newElement
    Transcript showCr:'adding an element'.
    list add:newElement.
    self changed:#myAspect
! !

!SelectionInListDemoModel3 methodsFor:'initialization'!

open
    |top sellist|

    top:= StandardSystemView new; extent:100@100.

    sellist := SelectionInListView
	on: self
	printItems: true
	oneItem: false
	aspect: #myAspect 
	change: #listIndex:
	list: #getList
	menu: #getMenu
	initialSelection: #initialIndex
	useIndex:false.


    sellist origin:0.0@0.0 corner:1.0@1.0.
    top addSubView:sellist.

    top open.

    [
	4 to:10 do:[:i |
	    (Delay forSeconds:10) wait.
	    self addElement:i
	]
    ] forkAt:5.

    "SelectionInListDemoModel3 new open"
! !

