'From Smalltalk/X, Version:2.10.1 on 9-may-1994 at 12:37:26'!
"
 the model-view way of using a popUpList
"
!

Model subclass:#SimpleDemoModel4
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Examples-MVC-Support'
!

!SimpleDemoModel4 methodsFor:'user actions'!

selectionChanged:newSelection
    Transcript showCr:'selection changed to:', newSelection displayString
!

toggleChangedTo:state
    Transcript showCr:'toggle changed to:' , state printString
!

button1Pressed
    Transcript showCr:'button1 was pressed'
!

button2Pressed
    Transcript showCr:'button2 was pressed'
! !

!SimpleDemoModel4 methodsFor:'initialization'!

open
    |top p b1 b2 pop|

    top:= StandardSystemView new; extent:100@100.
    p := PanelView origin:0.0@0.0 corner:1.0@1.0 in:top.
    b1 := Button label:'one' in:p.
    b2 := Button label:'two' in:p.
    t := Toggle label:'on/off' in:p.
    pop := PopUpList label:'xxxxxxx' in:p.
    pop list:#('apples' 'bananas' 'grape').
"/    pop values:(1 to:3).
    b1 model:self; change:#button1Pressed.
    b2 model:self; change:#button2Pressed.
    t model:self; change:#toggleChangedTo:.
    pop model:self; change:#selectionChanged:.

    top open.

    "SimpleDemoModel4 new open"
! !
